Bug 968159 - repo_rpmmd.c: base:xml attr in <location> is ignored
Summary: repo_rpmmd.c: base:xml attr in <location> is ignored
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: packaging-team-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-29 06:53 UTC by Rahul Sundaram
Modified: 2013-07-01 01:37 UTC (History)
4 users (show)

Fixed In Version: libsolv-0.3.0-5.git228d412.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 01:37:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jamie repo (430 bytes, text/plain)
2013-05-29 07:25 UTC, Rahul Sundaram
no flags Details

Description Rahul Sundaram 2013-05-29 06:53:08 UTC
Description of problem:

I am using a third party repo here but essentially dnf barfs while yum handles it just fine. 


dnf install tor tor-browser tor-browser-selinux
[sudo] password for rahul: 
Setting up Install Process
Resolving Dependencies
--> Starting dependency resolution
---> Package tor.x86_64 2:0.2.3.25-7.fc18 will be installed
---> Package tor-browser.x86_64 17.0.6-1.fc18 will be installed
---> Package tor-browser-selinux.x86_64 17.0.6-1.fc18 will be installed
---> Package torsocks.x86_64 1.3-1.fc18 will be installed
--> Finished dependency resolution

Dependencies Resolved

================================================================================
 Package                Arch      Version               Repository         Size
================================================================================
Installing:
 tor                    x86_64    2:0.2.3.25-7.fc18     jamielinux-tor    1.9 M
 tor-browser            x86_64    17.0.6-1.fc18         jamielinux-tor     42 M
 tor-browser-selinux    x86_64    17.0.6-1.fc18         jamielinux-tor    6.2 k
 torsocks               x86_64    1.3-1.fc18            updates            58 k

Transaction Summary
================================================================================
Install  4 Packages

Total download size: 44 M
Installed size: 44 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): tor-0.2.3.25-7.fc18.x86_64.rpm                    |  249 B     00:00     
(2/4): tor-browser-17.0.6-1.fc18.x86_64.rpm              |  255 B     00:00     
(3/4): tor-browser-selinux-17.0.6-1.fc18.x86_64.rpm      |  263 B     00:00     
(4/4): torsocks-1.3-1.fc18.x86_64.rpm                    |  58 kB     00:00     
Error Downloading Packages:
  tor-browser-17.0.6-1.fc18.x86_64: Problem with repo 'jamielinux-tor': Error HTTP/FTP status code: 404
  tor-browser-selinux-17.0.6-1.fc18.x86_64: Problem with repo 'jamielinux-tor': Error HTTP/FTP status code: 404
  tor-2:0.2.3.25-7.fc18.x86_64: Problem with repo 'jamielinux-tor': Error HTTP/FTP status code: 404

[rahul@mether ~]$sudo yum install tor tor-browser tor-browser-selinux
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package tor.x86_64 2:0.2.3.25-7.fc18 will be installed
--> Processing Dependency: torsocks for package: 2:tor-0.2.3.25-7.fc18.x86_64
---> Package tor-browser.x86_64 0:17.0.6-1.fc18 will be installed
---> Package tor-browser-selinux.x86_64 0:17.0.6-1.fc18 will be installed
--> Running transaction check
---> Package torsocks.x86_64 0:1.3-1.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                Arch      Version               Repository         Size
================================================================================
Installing:
 tor                    x86_64    2:0.2.3.25-7.fc18     jamielinux-tor    1.9 M
 tor-browser            x86_64    17.0.6-1.fc18         jamielinux-tor     42 M
 tor-browser-selinux    x86_64    17.0.6-1.fc18         jamielinux-tor    6.2 k
Installing for dependencies:
 torsocks               x86_64    1.3-1.fc18            updates            58 k

Transaction Summary
================================================================================
Install  3 Packages (+1 Dependent package)

Total size: 44 M
Total download size: 42 M
Installed size: 81 M
Is this ok [y/N]: y
Downloading Packages:
warning: /var/cache/yum/x86_64/18/jamielinux-tor/packages/tor-browser-17.0.6-1.fc18.x86_64.rpm: Header V4 RSA/SHA512 Signature, key ID 00662aa6: NOKEY
Public key for tor-browser-17.0.6-1.fc18.x86_64.rpm is not installed
tor-browser-17.0.6-1.fc18.x86_64.rpm                     |  42 MB     01:03     
tor-browser-selinux-17.0.6-1.fc18.x86_64.rpm             | 6.2 kB     00:00     
torsocks-1.3-1.fc18.x86_64.rpm                             |  58 kB   00:00     
--------------------------------------------------------------------------------
Total                                           676 kB/s |  42 MB     01:03     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-jamielinux
Importing GPG key 0x00662AA6:
 Userid     : "Jamie Nguyen <j@jamielinux.com>"
 Fingerprint: c09b 94f7 585d c89e 0b81 7a69 b8e3 7c62 0066 2aa6
 Package    : jamielinux-tor-release-17-1.noarch (installed)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-jamielinux
Is this ok [y/N]:

Comment 1 Ales Kozumplik 2013-05-29 07:18:39 UTC
Can you please attach the jamielinux-tor repo file?

Comment 2 Rahul Sundaram 2013-05-29 07:25:55 UTC
Created attachment 754207 [details]
jamie repo

Comment 3 Ales Kozumplik 2013-05-29 10:39:06 UTC
This is a legit problem, libsolv doesn't recognize base:xml attribute in <location>. Fortunately most repos don't use this.

Comment 4 Zdeněk Pavlas 2013-05-29 10:54:36 UTC
Yep, this is a bug in librepo.  The parser looks fairly easy to extend, though.

Comment 5 Fedora Update System 2013-06-24 13:25:29 UTC
libsolv-0.3.0-5.git228d412.fc19, librepo-0.0.4-2.fc19, hawkey-0.3.14-1.git78b3aa0.fc19, dnf-0.3.8-2.git85524ae.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsolv-0.3.0-5.git228d412.fc19,dnf-0.3.8-2.git85524ae.fc19,hawkey-0.3.14-1.git78b3aa0.fc19,librepo-0.0.4-2.fc19

Comment 6 Fedora Update System 2013-06-24 18:49:57 UTC
Package libsolv-0.3.0-5.git228d412.fc19, librepo-0.0.4-2.fc19, hawkey-0.3.14-1.git78b3aa0.fc19, dnf-0.3.8-2.git85524ae.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsolv-0.3.0-5.git228d412.fc19 librepo-0.0.4-2.fc19 hawkey-0.3.14-1.git78b3aa0.fc19 dnf-0.3.8-2.git85524ae.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11602/libsolv-0.3.0-5.git228d412.fc19,dnf-0.3.8-2.git85524ae.fc19,hawkey-0.3.14-1.git78b3aa0.fc19,librepo-0.0.4-2.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-07-01 01:37:11 UTC
libsolv-0.3.0-5.git228d412.fc19, librepo-0.0.4-2.fc19, hawkey-0.3.14-1.git78b3aa0.fc19, dnf-0.3.8-2.git85524ae.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.